Public Member Functions | Public Attributes | List of all members
libebook::LRFColor Struct Reference

`#include <LRFTypes.h>`

## Public Member Functions
| LRFColor ()
| LRFColor (unsigned color)
| LRFColor (unsigned char red, unsigned char green, unsigned char blue, unsigned char alpha=0)

## Public Attributes
unsigned char | r
unsigned char | g
unsigned char | b
unsigned char | a

## Constructor & Destructor Documentation

## § LRFColor() [1/3]

libebook::LRFColor::LRFColor | ( |  | ) |

## § LRFColor() [2/3]

libebook::LRFColor::LRFColor | ( | unsigned | color | ) |
| explicit

## § LRFColor() [3/3]

libebook::LRFColor::LRFColor | ( | unsigned char | red,
|  | unsigned char | green,
|  | unsigned char | blue,
|  | unsigned char | alpha = `0`
| ) |  |

## Member Data Documentation

## § a

unsigned char libebook::LRFColor::a

## § b

unsigned char libebook::LRFColor::b

## § g

unsigned char libebook::LRFColor::g

## § r

unsigned char libebook::LRFColor::r

The documentation for this struct was generated from the following files:

- LRFTypes.h
- LRFTypes.cpp